<?php
if ( function_exists('register_sidebar') )
  register_sidebar(array(
    'name' => 'Sidebar',
    'before_widget' => '<div class="sidebox">',
    'after_widget' => '</div>',
    'before_title' => '<h2>',
    'after_title' => '</h2>',
 ));

function recent_posts($no_posts = 5, $excerpts = true) {
global $wpdb;
$request = "SELECT ID, post_title, post_excerpt FROM $wpdb->posts WHERE post_status = 'publish' AND post_type='post' ORDER BY post_date DESC LIMIT $no_posts";
$posts = $wpdb->get_results($request);
if($posts) { foreach ($posts as $posts) {
$post_title = stripslashes($posts->post_title);
$permalink = get_permalink($posts->ID);
$output .= '<li><a href="' . $permalink . '" rel="bookmark" title="Permanent Link: ' . htmlspecialchars($post_title, ENT_COMPAT) . '">' . htmlspecialchars($post_title) . '</a></li>';
} } else {$output .= '<li>No posts found</li>';}
echo $output;
}

function get_wp_footer() {
echo "</div>";
echo "<p class=\"footer-copy\">Powered by <a href=\"http://www.wordpress.org\">Wordpress</a> | Designed by <a href=\"http://www.slotstop.com/free-slots.aspx\">free slots</a> for <a href=\"http://www.freeslotsbonuses.com\">slots bonuses</a>, <a href=\"http://www.slotstop.com/rushmore-casino.aspx\">rushmore casino</a>, <a href=\"http://www.slotstop.com/eurogrand-casino.aspx\">eurogrand casino</a></p>";
echo "</div>";
echo "</body>";
echo "</html>";
}

function get_thumb() {
global $post, $posts;
$first_img = '';
ob_start(); ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];
if(empty($first_img)){ $first_img = "/wp-content/themes/whitedeo/images/nothumb.jpg"; }
return $first_img;
}

function excerpt($num) {
$limit = $num+1;
$excerpt = explode(' ', get_the_excerpt(), $limit);
array_pop($excerpt);
$excerpt = implode(" ",$excerpt)."...";
echo $excerpt;
}

// Custom Header Image Support
define('HEADER_IMAGE', '%s/images/header_title.gif'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 400);
define('HEADER_IMAGE_HEIGHT', 80);
define('NO_HEADER_TEXT', true );
function theme_admin_header_style() {
?>
<style type="text/css">
#header .header-title {display: block; width: <?php echo HEADER_IMAGE_WIDTH; ?>px; height: <?php echo HEADER_IMAGE_HEIGHT; ?>px; background: url('<?php header_image() ?>') no-repeat center; text-indent: -9999px;}
#headimg {display: block; width: <?php echo HEADER_IMAGE_WIDTH; ?>px; height: <?php echo HEADER_IMAGE_HEIGHT; ?>px; background: url('<?php header_image() ?>') no-repeat center; text-indent: -9999px;}
</style>
<?php } function theme_header_style() { ?>
<style type="text/css">
#header .header-title {display: block; width: <?php echo HEADER_IMAGE_WIDTH; ?>px; height: <?php echo HEADER_IMAGE_HEIGHT; ?>px; background: url('<?php header_image() ?>') no-repeat center; text-indent: -9999px;}
</style>
<?php
}
if ( function_exists('add_custom_image_header') ) {
	add_custom_image_header('theme_header_style', 'theme_admin_header_style');
}

$settings = array(
'keywords' => 'Weblog, Wordpress, wp theme, simplyWP',
'featured' => 'Featured',
'featured_count' => '3',
'category_name' => 'Category',
'about' => ' We publish articles on Wordpress, web-design and blogging related topics and produce high-quality free Wordpress themes.',
'contact' => 'Email: simplywp@gmail.com',
'twitter' => 'simplyWP',
'twitter_number' => '3',
);

# Settings
$themename = "Theme";
$shortname = "theme";
$options = array (

array(
"name" => "Theme",
"type" => "header"
),

array(
"name" => "SEO meta keywords",
"id" => $shortname."_keywords",
"std" => $settings['keywords'],
"type" => "textarea",
"note" => "Insert your website keywords for SEO purpose. <strong>Example:</strong> <span style=\"color: #ff0000\">webdesign, theme, graphic</span>"),

array(
"name" => "Category dropdown title",
"id" => $shortname."_category_name",
"std" => $settings['category_name'],
"type" => "text",
"note" => "Insert the title of drop down category menu <strong>Example:</strong> <span style=\"color: #ff0000\">News, Categories etc</span>"),

array(
"name" => "Featured Category",
"id" => $shortname."_featured",
"std" => $settings['featured'],
"type" => "text",
"note" => "Insert the category name that you want to be featured on top-slider."),

array(
"name" => "Number of featured entry",
"id" => $shortname."_featured_count",
"std" => $settings['featured_count'],
"type" => "text",
"note" => "Insert the number of featured posts to be used in top-slider"),

array(
"name" => "About author",
"id" => $shortname."_about",
"std" => $settings['about'],
"type" => "textarea",
"note" => "Insert a short description about the site author. This will show up at footer."),

array(
"name" => "Contact information",
"id" => $shortname."_contact",
"std" => $settings['contact'],
"type" => "textarea",
"note" => "Insert your contact info here, i.e. address, phone or email."),

array(
"name" => "Twitter Account",
"id" => $shortname."_twitter",
"std" => $settings['twitter'],
"type" => "text",
"note" => "Insert your <a href=\"http://www.twitter.com\">Twitter</a> account username. <strong>Example:</strong> <span style=\"color: #ff0000\">simplywp</span>"),

array(
"name" => "Number of Twitter Update",
"id" => $shortname."_twitter_number",
"std" => $settings['twitter_number'],
"type" => "text",
"note" => "Insert the number of your <a href=\"http://www.twitter.com\">Twitter</a> update to be shown at footer."),

);

function mytheme_add_admin() {
global $themename, $shortname, $options;
if ( $_GET['page'] == basename(__FILE__) ) {
if ( 'save' == $_REQUEST['action'] ) {
foreach ($options as $value) {
if ($value['type']!='header') { update_option( $value['id'], $_REQUEST[ $value['id'] ] );}
}

foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
header("Location: themes.php?page=functions.php&saved=true");
die;
} else if( 'reset' == $_REQUEST['action'] ) {
foreach ($options as $value) { delete_option( $value['id'] ); }
header("Location: themes.php?page=functions.php&reset=true");
die;
} } add_theme_page($themename." settings", "Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {
global $themename, $shortname, $options;
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>


<div class="wrap">
<h2><?php echo $themename; ?> Options</h2>
<form method="post">

<?php foreach ($options as $value) { if ($value['type'] == "text") { ?>

<div class="option-column" style="width: 500px; height: 100px; padding: 10px 15px; margin: 0px 10px 10px 0px; background: #f9f9f9; border: 1px solid #eee;">
<h4 style="margin: 10px 0px !important;"><?php echo $value['name']; ?></h4>
<input onfocus="this.select();" style="width: 500px; color: #999;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
<p><?php echo $value['note']; ?></p>
</div>

<?php } elseif ($value['type'] == "textarea") { ?>
<div class="option-column" style="width: 500px; height: 150px; padding: 10px 15px; margin: 0px 10px 10px 0px; background: #f9f9f9; border: 1px solid #eee;">
<h4 style="margin: 10px 0px !important;"><?php echo $value['name']; ?></h4>
<textarea name="<?php echo $value['id']; ?>" style="width: 500px; height: 80px; color: #999;" id="<?php echo $value['id']; ?>"><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo stripslashes($value['std']); } ?></textarea>
<p><?php echo $value['note']; ?></p>
</div>	

<?php } elseif ($value['type'] == "header") { ?>
<?php } }?>

<div class="option-button" style="clear: both; padding: 20px 0px; overflow: hidden;">
<div class="option-buttons" style="width: 150px; float: left;"><input name="save" type="submit" class="button-primary" value="Save changes" /><input type="hidden" name="action" value="save" /></form></div>
<div class="option-buttons" style="width: 150px; float: left;"><form method="post"><input name="reset" class="button" type="submit" value="Reset" /><input type="hidden" name="action" value="reset" /></form></div>
</div>

<?php }
add_action('admin_menu', 'mytheme_add_admin');
foreach ($options as $value) { if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
foreach ($settings as $k=>$v) { $var = $shortname.'_'.$k; if (!empty($$var)) $settings[$k] = $$var; }
function dp_settings($key) { global $settings; return $settings[$key];}
?>