<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="description" content="<?php bloginfo('description'); ?>" />
<meta name="keywords" content="<?php if (get_option('theme_keywords')){ echo get_option('theme_keywords'); } ?>" />
<title><?php bloginfo('name'); ?> <?php if ( is_single('&ndash') ) { ?> &ndash; Blog Archive <?php } ?> <?php wp_title('&ndash;'); ?></title>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.gif"/>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/reset.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/supersleight-min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jcarousellite.js" charset="utf-8"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/script.js"></script>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php require('wp-lightboxJS/wp-lightboxJS.php'); ?>
</head>
<body>

<div id="container">

<div id="header">
<h1><a href="<?php echo get_option('home'); ?>/" class="header-title"><?php bloginfo('name'); ?></a></h1>

<form class="searchform" method="get" action="<?php bloginfo('home'); ?>">
<input type="text" name="s" class="searchtext" size="15" /><input type="submit" class="searchbutton" value="Search" />
</form>

</div><!-- END Header -->

<ul id="top-menu">
<li <?php if (is_home()){ echo "class=\"current_page_item\"";} ?>><a href="<?php echo get_option('home'); ?>">Home</a></li>
<?php wp_list_pages('title_li=&depth=2'); ?>
<li><span><?php if (get_option('theme_category_name')) { echo get_option('theme_category_name'); } else { echo "Category"; } ?></span>
<ul>
<?php wp_list_categories('title_li=&depth=1'); ?>
</ul>
</li>
</ul>

<?php include('feature.php'); ?>

<div id="wrap">